# Cancel a user's Stripe subscription

Cancels a user's Stripe subscription

Endpoint: DELETE /blaize/payment/stripe/subscriptions/{externalId}
Version: 2026-10-01
Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie

## Security:

  - `CookieBlaizeSession` (unknown)
    apiKey in cookie blaize_session

  - `JwtQuery` (unknown)
    apiKey in query jwt

  - `JwtHeaderXBlaizeJwt` (unknown)
    apiKey in header x-blaize-jwt

  - `JwtHeaderXZephrJwt` (unknown)
    apiKey in header x-zephr-jwt

  - `JwtBearer` (unknown)
    http bearer JWT

  - `JwtCookie` (unknown)
    apiKey in cookie blaize_jwt

## Path parameters:

  - `externalId` (string, required)
    The ID of the Stripe subscription to cancel.

## Response 200:

  - `200` (unknown)
    OK

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Cannot find the subscription.

## Response 409:

  - `409` (unknown)
    Subscription was already cancelled

